Bug 1566638 - [UPGRADES] Failed dependency for subscription-manager-plugin-container
Summary: [UPGRADES] Failed dependency for subscription-manager-plugin-container
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: distribution
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Mike Burns
QA Contact: Udi Shkalim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 16:28 UTC by Yurii Prokulevych
Modified: 2018-04-12 16:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-12 16:29:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yurii Prokulevych 2018-04-12 16:28:18 UTC
Description of problem:
-----------------------
Minor update of RHOS-9 from RHEL-7.4 to RHEL-7.5 with follow up major upgrade failed:
2018-04-12 12:00:24 - ESC[mNotice: /Stage[main]/Tripleo::Firewall/Tripleo::Firewall::Rule[116 neutron dhcp output]/Firewall[116 neutron dhcp output]/ensure: createdESC[0m
2018-04-12 12:00:24 - ESC[mNotice: /Stage[main]/Main/Sysctl::Value[net.ipv4.ip_forward]/Sysctl[net.ipv4.ip_forward]/ensure: createdESC[0m
2018-04-12 12:00:27 - ESC[1;31mError: Execution of '/bin/yum -d 0 -e 0 -y install docker' returned 1: Error: Package: subscription-manager-plugin-container-1.20.10-1.el7.x86_64 (rhelosp-rhel-7.5-server)
2018-04-12 12:00:27 -            Requires: subscription-manager = 1.20.10-1.el7
2018-04-12 12:00:27 -            Installed: subscription-manager-1.20.11-1.el7_5.x86_64 (@rhelosp-rhel-7.4-server)
2018-04-12 12:00:27 -                subscription-manager = 1.20.11-1.el7_5
2018-04-12 12:00:27 -            Available: subscription-manager-1.20.10-1.el7.x86_64 (rhelosp-rhel-7.5-server)
2018-04-12 12:00:27 -                subscription-manager = 1.20.10-1.el7
2018-04-12 12:00:27 -  You could try using --skip-broken to work around the problem
2018-04-12 12:00:27 -  You could try running: rpm -Va --nofiles --nodigestESC[0m
2018-04-12 12:00:27 - ESC[1;31mError: /Stage[main]/Tripleo::Profile::Base::Docker_registry/Package[docker]/ensure: change from absent to present failed: Execution of '/bin/yum -d 0 -e 0 -y install docker' return
ed 1: Error: Package: subscription-manager-plugin-container-1.20.10-1.el7.x86_64 (rhelosp-rhel-7.5-server)
2018-04-12 12:00:27 -            Requires: subscription-manager = 1.20.10-1.el7
2018-04-12 12:00:27 -            Installed: subscription-manager-1.20.11-1.el7_5.x86_64 (@rhelosp-rhel-7.4-server)
2018-04-12 12:00:27 -                subscription-manager = 1.20.11-1.el7_5
2018-04-12 12:00:27 -            Available: subscription-manager-1.20.10-1.el7.x86_64 (rhelosp-rhel-7.5-server)
2018-04-12 12:00:27 -                subscription-manager = 1.20.10-1.el7
2018-04-12 12:00:27 -  You could try using --skip-broken to work around the problem
2018-04-12 12:00:27 -  You could try running: rpm -Va --nofiles --nodigestESC[0m
2018-04-12 12:00:27 - ESC[mNotice: /Stage[main]/Tripleo::Profile::Base::Docker_registry/File_line[docker insecure registry]: Dependency Package[docker] has failures: trueESC[0m
2018-04-12 12:00:27 - ESC[1;31mWarning: /Stage[main]/Tripleo::Profile::Base::Docker_registry/File_line[docker insecure registry]: Skipping because of failed dependenciesESC[0m
2018-04-12 12:00:27 - ESC[mNotice: /Stage[main]/Tripleo::Profile::Base::Docker_registry/Service[docker]: Dependency Package[docker] has failures: trueESC[0m
2018-04-12 12:00:27 - ESC[1;31mWarning: /Stage[main]/Tripleo::Profile::Base::Docker_registry/Service[docker]: Skipping because of failed dependenciesESC[0m
2018-04-12 12:00:27 - ESC[mNotice: /Stage[main]/Ironic::Api/Ironic_config[api/port]/ensure: createdESC[0m
2018-04-12 12:00:27 - ESC[mNotice: /Stage[main]/Rsync::Server/Xinetd::Service[rsync]/File[/etc/xinetd.d/rsync]/content: content changed '{md5}7df9ca7cbe49716be6b94bd37d8b33eb' to '{md5}8d1b1666df57adf0304ef209c0


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
RHOS-10 puddle 2018-04-02.1

Steps to Reproduce:
-------------------
1. Install RHOS-9 rhel_7.4_update on RHEL-7.4
2. Update UC/OC to latest on RHEL-7.5
3. Start UC upgrade to RHOS-10

Actual results:
---------------
Upgrade failed

Comment 1 Mike Burns 2018-04-12 16:29:08 UTC
This is an issue with an internal repo management tool, notabug.


Note You need to log in before you can comment on or make changes to this bug.